Rated 5 out of 5 stars

can you make compatible with Firefox 3.5?

I'm using this extension in "force-mode" and works fine :)

This review is for a previous version of the add-on (0.1).